Subject: Re: IDE driver in polling mode

From: Jeff Garzik <[email-masked]>
Date: Tue, 10 Apr 2007 12:18:15 -0400

Alan Cox wrote:
>>     Ah, no interrupts at all...
>>     The old IDE core in drivers/ide/ certainly doesn't support polling mode 
>> and IRQ-less devices. AFAICS, libata also doesn't support the latter...
> 
> libata has much of the framework to do this as it originally did all of
> its PIO work much this way. That is probably the most productive place to
> start hacking.

Yep.

The only real restriction in libata is in ata_device_add(), which 
unconditionally registers an irq handler.  Make a few changes there, add 
a few flags, and the existing polling code will kick in.

Once we have higher priority stuff sorted, I would like to look into 
things like activating the polling code when it becomes obvious that the 
system is not delivering interrupts.

	Jeff